volatile boolean item;

void setup(){
  item = 0;
  pinMode(2, INPUT);
  pinMode(10, OUTPUT);//LED连接
}

void loop(){
  if (!item && digitalRead(2)) {
    item = HIGH;

  }
  if (item && !digitalRead(2)) {
    digitalWrite(10,(!digitalRead(10)));
    item = LOW;

  }

}
